plugin.c(3)

NAME
plugin.c - Plugin API for wget2.

SYNOPSIS

#include <config.h>
#include <wget.h>
#include 'private.h'

  Functions
const char * wget_plugin_get_name (wget_plugin *plugin)
void wget_plugin_register_finalizer (wget_plugin *plugin, wget_plugin_finalizer_fn *fn)
void wget_plugin_register_option_callback (wget_plugin *plugin, wget_plugin_option_callback *fn)
void wget_intercept_action_reject (wget_intercept_action *action)
void wget_intercept_action_accept (wget_intercept_action *action)
void wget_intercept_action_set_alt_url (wget_intercept_action *action, const wget_iri *iri)
void wget_intercept_action_set_local_filename (wget_intercept_action *action, const char *local_filename)
void wget_plugin_register_url_filter_callback (wget_plugin *plugin, wget_plugin_url_filter_callback *filter_fn)
const wget_iri * wget_downloaded_file_get_source_url (wget_downloaded_file *file)
const char * wget_downloaded_file_get_local_filename (wget_downloaded_file *file)
uint64_t wget_downloaded_file_get_size (wget_downloaded_file *file)
int wget_downloaded_file_get_contents (wget_downloaded_file *file, const void **data, size_t *size)
FILE * wget_downloaded_file_open_stream (wget_downloaded_file *file)
bool wget_downloaded_file_get_recurse (wget_downloaded_file *file)
void wget_downloaded_file_add_recurse_url (wget_downloaded_file *file, const wget_iri *iri)
void wget_plugin_register_post_processor (wget_plugin *plugin, wget_plugin_post_processor *fn)

Detailed Description

Plugin API for wget2.

Author

Generated automatically by Doxygen for wget2 from the source code.